Autor Tópico: Problemas ao instalar Driver NVidia em Ubuntu 9.04  (Lida 3356 vezes)

Offline RSchiller

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Problemas ao instalar Driver NVidia em Ubuntu 9.04
« Online: 12 de Abril de 2011, 20:29 »
Olá a todos (:

Instalei o Ubuntu ontém em meu PC, sou totalmente novato nesse SO,
e estou tendo problemas ao tentar instalar os drivers proprietários da placa de vídeo GeForce FX 5500 no Ubuntu 9.04.

Tentei por varias formas diferentes, e por varias soluções que achei na Web,
sem sucesso. Nenhuma delas resolveu meu problema, que é o seguinte:

Mesmo após instalar o driver proprietario, dando reboot ou não na maquina, obtenho alguns erros do tipo:

- Tela preta após o carregamento do SO na tela de Logo do Ubuntu 9.04.
Depois da 'barrinha carregar' a tela 'preteia totalmente' (Fica Preta, sem nada)
 - Como solução, entro no GRUB > Recovery Mode > Fix Graphic Errors (Ou algo do tipo, ultima opção). Após isso;

- Quando tento mudar a resolução, o SO pede para que eu use o driver do fabricante,
e quando tento, o seguinte acontece;
'You do not appear to be using the NVIDIA X Driver. Please edit your X config file (just run 'nvidia-xconfig' as root), and restart the X Server.'
 - Não consigo editar esse nvidia-xconfig, nem dar restart no X Server. [Novamente, Novato em Linux/Ubuntu]

- Como pior dos casos, algumas vezes, tive que reinstalar o SO,
pois nem mesmo o 'GRUB > Recovery > Fix Graph' funcionava, e a tela continuava toda preta depois de carregar a barrinha.

Tentei instalar o driver por meio de;
- Sistema > Preferencia > Aparencia > Efeitos Visuais > Extra.
Ele inicia o download do driver automaticamente, mesmo após instalar/reiniciar, remete a algum dos erros acima.

- Sistema > Preferencia/Administração > Opção de instalação de driver de hardware.
(Não está mais disponivel, não me lembro do caminho correto)
Inicia o Download do Driver, tenho de escolher entre a 'Rev 173 [Recomendado]' ou 'Rev 96' dos Drivers da NVidia.
Ele inicia o download e instalação do driver, e mesmo após instalar/reiniciar, remete a algum dos erros acima.

- Terminal > 'sudo apt-get install nvidia-glx-XX [XX : Nº da revisão]
Mesma coisa do erro acima.

- Via Envy (Instalei Via terminal) : me dispoe 4 opções:
180.44-0ubuntu1 - sendo este X em Compatibilidade e Recomendação
173.14.16-0ubuntu1 - ! Recomendado e Compativel !
96.43.10-0ubuntu1 - Compativel e Não recomendado (X)
71.86.08-0ubuntu1 - Compativel e Não recomendado (X)

Também, remete ao mesmo erro acima.

---

Atualmente estou com a Revisão 96.43.10-0ubuntu1, onde achei em alguns fóruns Filipinos (Reconheci pela lingua, eram pinoy) que este funciona, mas aqui, continua o mesmo erro, quando tento mudar a resolução, não obtenho sucesso, via driver do fabricante (NVidia) '[...] Please edit your X config file [...], and restart the X Server.'

Preciso e Peço humildemente por ajuda ! :D

- Informações adicionais.

Monitor : LCD 32" LG 32LD460
Placa de Video : NVidia GeForce FX 5500 - 256mb
Ubuntu : Ubuntu 9.04 Desktop Edition (CD Original direto da Canonical)
Barrinha/Tela de Logo : Essta Tela de Logo, é aquela com o simbolo do Ubuntu, com uma barrinha fina que carrega, abaixo do logotipo, logo antes da tela de 'Nome de Usuário/Senha'.

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Problemas ao instalar Driver NVidia em Ubuntu 9.04
« Resposta #1 Online: 14 de Abril de 2011, 13:16 »
Ola essa versao a 9.04 nao tem mais suporte e tbm a versao 9.10 termina esse mes, entao seria melhor atualizar para uma versao mais nova de longo suporte como a 10.04 LTS ou 10.10, fazer uma instalação limpa do Ubuntu.

Se desejar permanecer nessa versao tera que mudar os repositorios, e pode tentar instalar o driver dessa forma se o Envy ainda estiver funcionando;

Habilite primeiro os repositorios;

acessar o arquivo /etc/apt/sources.list (comando sudo gedit /etc/apt/sources.list pelo terminal) colar o seguinte:

deb http://old-releases.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse

Depois sudo apt-get update.

ENVY

O que e o Envy?    (somente para usuarios 6.06 ate 9.10) (a partir da versao 9.10 nao existe mais o Envy)

"Envy" é uma aplicação para Ubuntu Linux e Debian escrito em Python e PyGTK que:

1) Detecta o modelo da sua placa gráfica (somente placas ATi e Nvidia são suportadas) e instala o driver apropriado automaticamente.

2) Baixa Compila e Instala o driver certo para a sua grafica e todas as dependências necessárias.

3) Configura o Xserver para você.

Abra o terminal e execute;

sudo apt-get update && sudo apt-get -y install module-assistant debhelper dpkg-dev gettext html2text intltool-debian patch po-debconf dh-make debian-keyring build-essential subversion git-core hardinfo automake autoconf libncurses5-dev libncurses5 autotools-dev m4 libtool && sudo apt-get update && sudo aptitude install envyng-core envyng-gtk && sudo su

Apos entre com sua senha e execute; 

envyng -t

Escolha o recomendado com sinal de (+)
« Última modificação: 14 de Abril de 2011, 18:55 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline RSchiller

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re: Problemas ao instalar Driver NVidia em Ubuntu 9.04
« Resposta #2 Online: 15 de Abril de 2011, 00:16 »
Olá, obrigado Platao pela resposta, estou tentando isso agora mesmo.

- Habilitei os Repositorios.
- Fiz o Update pelo comando 'sudo apt-get update'
 - Obtive o seguinte:
schiller@schiller-desktop:~$ sudo apt-get update && sudo apt-get -y install module-assistant debhelper dpkg-dev gettext html2text intltool-debian patch po-debconf dh-make debian-keyring build-essential subversion git-core hardinfo automake autoconf libncurses5-dev libncurses5 autotools-dev m4 libtool && sudo apt-get update && sudo aptitude install envyng-core envyng-gtk && sudo su
Ign cdrom://Ubuntu 10.10 _Maverick Meerkat_ - Release i386 (20101007) maverick/main Translation-pt_BR
Ign cdrom://Ubuntu 10.10 _Maverick Meerkat_ - Release i386 (20101007) maverick/restricted Translation-pt_BR
Atingido http://br.archive.ubuntu.com jaunty Release.gpg                      
Atingido http://br.archive.ubuntu.com jaunty/main Translation-pt_BR            
Atingido http://br.archive.ubuntu.com jaunty/restricted Translation-pt_BR      
Atingido http://br.archive.ubuntu.com jaunty/universe Translation-pt_BR        
Atingido http://br.archive.ubuntu.com jaunty/multiverse Translation-pt_BR      
Atingido http://br.archive.ubuntu.com jaunty-updates Release.gpg              
Ign http://br.archive.ubuntu.com jaunty-updates/main Translation-pt_BR        
Ign http://br.archive.ubuntu.com jaunty-updates/restricted Translation-pt_BR  
Ign http://br.archive.ubuntu.com jaunty-updates/universe Translation-pt_BR    
Ign http://br.archive.ubuntu.com jaunty-updates/multiverse Translation-pt_BR  
Atingido http://br.archive.ubuntu.com jaunty Release                          
Atingido http://br.archive.ubuntu.com jaunty-updates Release                  
Atingido http://br.archive.ubuntu.com jaunty/main Packages                    
Atingido http://br.archive.ubuntu.com jaunty/restricted Packages              
Atingido http://br.archive.ubuntu.com jaunty/main Sources                      
Atingido http://br.archive.ubuntu.com jaunty/restricted Sources                
Atingido http://br.archive.ubuntu.com jaunty/universe Packages                
Atingido http://br.archive.ubuntu.com jaunty/universe Sources                  
Atingido http://br.archive.ubuntu.com jaunty/multiverse Packages              
Atingido http://br.archive.ubuntu.com jaunty/multiverse Sources                
Atingido http://br.archive.ubuntu.com jaunty-updates/main Packages            
Atingido http://br.archive.ubuntu.com jaunty-updates/restricted Packages      
Atingido http://br.archive.ubuntu.com jaunty-updates/main Sources              
Atingido http://br.archive.ubuntu.com jaunty-updates/restricted Sources        
Atingido http://br.archive.ubuntu.com jaunty-updates/universe Packages        
Atingido http://br.archive.ubuntu.com jaunty-updates/universe Sources          
Atingido http://br.archive.ubuntu.com jaunty-updates/multiverse Packages      
Atingido http://br.archive.ubuntu.com jaunty-updates/multiverse Sources        
Atingido http://old-releases.ubuntu.com jaunty Release.gpg                    
Atingido http://old-releases.ubuntu.com jaunty/main Translation-pt_BR
Atingido http://security.ubuntu.com jaunty-security Release.gpg
Ign http://security.ubuntu.com jaunty-security/main Translation-pt_BR
Ign http://security.ubuntu.com jaunty-security/restricted Translation-pt_BR
Ign http://security.ubuntu.com jaunty-security/universe Translation-pt_BR
Ign http://security.ubuntu.com jaunty-security/multiverse Translation-pt_BR
Atingido http://security.ubuntu.com jaunty-security Release  
Atingido http://old-releases.ubuntu.com jaunty/restricted Translation-pt_BR
Atingido http://old-releases.ubuntu.com jaunty/universe Translation-pt_BR
Atingido http://old-releases.ubuntu.com jaunty/multiverse Translation-pt_BR
Atingido http://old-releases.ubuntu.com jaunty-updates Release.gpg
Ign http://old-releases.ubuntu.com jaunty-updates/main Translation-pt_BR
Ign http://old-releases.ubuntu.com jaunty-updates/restricted Translation-pt_BR
Ign http://old-releases.ubuntu.com jaunty-updates/universe Translation-pt_BR
Ign http://old-releases.ubuntu.com jaunty-updates/multiverse Translation-pt_BR
Atingido http://old-releases.ubuntu.com jaunty Release      
Atingido http://security.ubuntu.com jaunty-security/main Packages              
Atingido http://old-releases.ubuntu.com jaunty-updates Release
Atingido http://security.ubuntu.com jaunty-security/restricted Packages        
Atingido http://security.ubuntu.com jaunty-security/main Sources
Atingido http://security.ubuntu.com jaunty-security/restricted Sources
Atingido http://security.ubuntu.com jaunty-security/universe Packages
Atingido http://security.ubuntu.com jaunty-security/universe Sources
Atingido http://security.ubuntu.com jaunty-security/multiverse Packages
Atingido http://old-releases.ubuntu.com jaunty/main Packages
Atingido http://old-releases.ubuntu.com jaunty/restricted Packages
Atingido http://old-releases.ubuntu.com jaunty/universe Packages
Atingido http://old-releases.ubuntu.com jaunty/multiverse Packages
Atingido http://old-releases.ubuntu.com jaunty/main Sources  
Atingido http://security.ubuntu.com jaunty-security/multiverse Sources
Atingido http://old-releases.ubuntu.com jaunty/restricted Sources
Atingido http://old-releases.ubuntu.com jaunty/universe Sources
Atingido http://old-releases.ubuntu.com jaunty/multiverse Sources
Atingido http://old-releases.ubuntu.com jaunty-updates/main Packages
Atingido http://old-releases.ubuntu.com jaunty-updates/restricted Packages
Atingido http://old-releases.ubuntu.com jaunty-updates/universe Packages
Atingido http://old-releases.ubuntu.com jaunty-updates/multiverse Packages
Atingido http://old-releases.ubuntu.com jaunty-updates/main Sources
Atingido http://old-releases.ubuntu.com jaunty-updates/restricted Sources
Atingido http://old-releases.ubuntu.com jaunty-updates/universe Sources
Atingido http://old-releases.ubuntu.com jaunty-updates/multiverse Sources
Lendo listas de pacotes... Pronto
Lendo listas de pacotes... Pronto
Construindo árvore de dependências      
Lendo informação de estado... Pronto
gettext já é a versão mais nova.
gettext configurado para instalar manualmente.
patch já é a versão mais nova.
patch configurado para instalar manualmente.
autoconf já é a versão mais nova.
autoconf configurado para instalar manualmente.
libncurses5 já é a versão mais nova.
autotools-dev já é a versão mais nova.
autotools-dev configurado para instalar manualmente.
m4 já é a versão mais nova.
m4 configurado para instalar manualmente.
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
  build-essential: Depende: gcc (>= 4:4.4.3) mas 4:4.3.3-1ubuntu1 está para ser instalado
                   Depende: g++ (>= 4:4.4.3) mas não será instalado
  dpkg-dev: Depende: libdpkg-perl (= 1.15.8.4ubuntu3) mas não será instalado
            Depende: xz-utils mas não é instalável
            Depende: base-files (>= 5.0.0) mas 5ubuntu4 está para ser instalado
E: Pacotes quebrados
schiller@schiller-desktop:~$

Mesmo após a mensagens das dependencias, executei o 'envyng -t'
Depois de iniciado, escolhi a versão Compativel e Recomendada. (+               +)

Irei reiniciar o PC agora, espero obter melhores resultados.
Edito assim que possivel.

@ Edit.

Novamente, sem resultados.
Tela preta após esta tela:


Então, novamente no boot, aperto Esc, e faço : GRUB > Recovery Mode > 'xfix    try to auto repair graphic problems'
Após isso, vou em 'Resume Normal Boot', faço login, e mesmo assim, ainda recebo a mensagem de erro da Nvidia.
('You do not appear to be using the NVIDIA X Driver. Please edit your X config file (just run 'nvidia-xconfig' as root), and restart the X Server.')

Alguma sugestão ?

Sobre outras versoes.
- Ahm, bem, quando eu tento instalar as versoes 10.04LTS/10.10, após a tela de Login, a tela escurece, fica totalmente preta, e não sei oque acontece !
« Última modificação: 15 de Abril de 2011, 00:49 por RSchiller »

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Problemas ao instalar Driver NVidia em Ubuntu 9.04
« Resposta #3 Online: 15 de Abril de 2011, 13:27 »
Ola RSchiller, o ideal e que vc faça o upgrade para a versao mais nova atravez de uma instalação limpa, na tela de boot onde vc escolhe se deseja testar ou instalar o sistema vc escolhe testar primeiro, para tentar contornar o problema da tela preta vc aperta f6 e marca todos os parametros que estiverem disponiveis menos o parametro somente software livre, se houver.

Marque todos e veja se consegue o boot normal, se conseguir vc volta novamente com o live e testa um por um dos parametros ate descobrir qual e o responsavel pelo boot bem sucedido. Ai sim vc parte para a instalação de fato colocando o parametro certo na inicializaçã o e instalando o sistema. Se tudo der certo ate aqui depois reporte para que possamos colocar esse parametro em definitivo na inicialização do sistema. De qualquer forma se tudo correr bem e depois de isntalado vc deve efetivar o parametro de forma permanente assim;

sudo gedit /etc/default/grub altere a linha:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

para

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash parametro desejado aqui"

e depois:

sudo update-grub

Se vc ainda estiver disposto a tentar com o 9.04 vc pode tentar instalar o driver de outra forma e funciona tbm para as versoes 10.04 e 10.10;

Instale o repositório primeiro, pelo terminal faça:

    $ sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
    $ sudo apt-get update

Para instalar o driver Nvidia faça:

    $ sudo apt-get install module-assistant debhelper dpkg-dev gettext html2text intltool-debian patch po-debconf dh-make debian-keyring build-essential subversion git-core hardinfo automake autoconf libncurses5-dev libncurses5 autotools-dev m4 libtool && sudo apt-get update && sudo apt-get install nvidia-current nvidia-current-modaliases nvidia-settings

e reinicie.

Outra opção e seguir a recomendação ('You do not appear to be using the NVIDIA X Driver. Please edit your X config file (just run 'nvidia-xconfig' as root), and restart the X Server.') rodar o nvidia-xconfig pelo terminal dessa forma;

control+alt+f1     ===> entra no modo texto

sudo su

/etc/init.d/gdm stop ===>desabilita a parte grafica

nvidia-xconfig

startx

Se conseguir entrar no sistema pode dar uma olhada tbm no nvidia-settings;

gksu nautilus    ===> vc navega pelo sistema de arquivo como root

e navegue ate
/usr/bin/nvidia-settings    ===> e onde se encontra o executavel, faça as modificações que deseja e nao esqueça de "save to X "

Como vc esta no 9.04 ha tbm o arquivo xorg.conf em /etc/X11 que e o responsavel pela configuração do video e pode ser editado ja que e um arquivo de texto, em ultimo caso pode dar uma olhada em alguns xorg.conf que tenha a mesma versao do ubuntu 9.04 e tenha a sua placa e tentar substituir o seu por esse.

Veja tbm;

http://ubuntuforum-br.org/index.php/topic,56594.0.html
« Última modificação: 15 de Abril de 2011, 13:40 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997